;;; at90can128 defines

.include "rampz.asm"
.equ iosize = $e0
.equ ramsize = $1000
.equ flashsize = $10000
.equ eepromsize = $1000
.equ pagesize = $80
.equ nrww = $f000
.equ start = $4a

.equ DDRB = $24
  bit_ SS,DDRB,0
  bit_ SCK,DDRB,1
  bit_ MOSI,DDRB,2
  bit_ MISO,DDRB,3

.equ EECR = $3f
  .equ EERIE = 3
  .equ EEMWE = 2
  .equ EEWE = 1
  .equ EERE = 0
.equ EEDR = $40
.equ EEARL = $41
.equ EEARH = $42

.equ TCCR0A = $44
.equ TCNT0 = $46
.equ OCR0A = $47

.equ SPCR = $4c
.equ SPSR = $4d
.equ SPDR = $4e

.equ RAMPZ = $5b
  .equ RAMPZ0 = 0

.equ SPMCSR = $57
  .equ SPMIE = 7
  .equ RWWSB = 6
  .equ RWWSRE = 4
  .equ BLBSET = 3
  .equ PGWRT = 2
  .equ PGERS = 1
  .equ SPMEN = 0

.equ TIMSK0 = $6e

.equ ADCL = $78
.equ ADCH = $79
.equ ADCSRA = $7a
.equ ADCSRB = $7b
.equ ADMUX = $7c

.equ DIDR0 = $7e

.equ UCSR0A = $c0
.equ UCSR0B = $c1
.equ UCSR0C = $c2
.equ UBRR0L = $c4
.equ UBRR0H = $c5
.equ UDR0 = $c6

.equ UCSR1A = $c8
.equ UCSR1B = $c9
.equ UCSR1C = $ca
.equ UBRR1L = $cc
.equ UBRR1H = $cd
.equ UDR1 = $ce

.equ TIMER0_COMP = $20
.equ USART0_RXC = $2a
.equ USART0_UDRE = $2c
.equ ADC = $32
.equ USART1_RXC = $40
.equ USART1_UDRE = $42

