;;; atmega32 defines

.include "norampz.asm"
.equ iosize = $40
.equ ramsize = $800
.equ flashsize = $4000
.equ eepromsize = $400
.equ pagesize = 64
.equ nrww = $3800
.equ start = $2a

.equ ADCL = $24
.equ ADCH = $25
.equ ADCSRA = $26
.equ ADMUX = $27

.equ SPCR = $2d
.equ SPSR = $2e
.equ SPDR = $2f

.equ DDRB = $37
  bit_ SCK,DDRB,7
  bit_ MISO,DDRB,6
  bit_ MOSI,DDRB,5
  bit_ SS,DDRB,4
        
.equ UBRR0L = $29
.equ UCSR0B = $2a
.equ UCSR0A = $2b
.equ UDR0 = $2c  

.equ EECR = $3c
  .equ EERIE = 3
  .equ EEMWE = 2
  .equ EEWE = 1
  .equ EERE = 0
.equ EEDR = $3d
.equ EEARL = $3e
.equ EEARH = $3f
        
.equ UBRR0H = $40

.equ TCCR0A = $53

.equ SPMCR = $57
.equ SPMCSR = SPMCR
  .equ SPMIE = 7
  .equ RWWSB = 6
  .equ RWWSRE = 4
  .equ BLBSET = 3
  .equ PGWRT = 2
  .equ PGERS = 1
  .equ SPMEN = 0

.equ TIMSK0 = $59
.equ OCR0A = $5c

.equ TIMER0_COMP = $14
.equ USART0_RXC = $1a
.equ USART0_UDRE = $1c
.equ ADC = $20

